(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     17686,        575]
NotebookOptionsPosition[     12490,        426]
NotebookOutlinePosition[     15923,        508]
CellTagsIndexPosition[     15838,        503]
WindowTitle->Hermitian - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebra"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUANTUMALGEBRA PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[Cell[BoxData[
     ActionMenuBox[
      FrameBox["\<\"URL \[RightGuillemet]\"\>",
       StripOnInput->False], {"\<\"QuantumAlgebra/ref/Hermitian\"\>":>
      None, "\<\"Copy Mathematica url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell["QuantumAlgebra/ref/Hermitian"]}, Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; Null], 
      Delimiter, "\<\"Copy web url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell[
             BoxData[
              MakeBoxes[
               Hyperlink[
               "http://reference.wolfram.com/mathematica/QuantumAlgebra/ref/\
Hermitian.html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]},
            Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; 
       Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
        NotebookLocate[{
          URL[
           StringJoin[
           "http://reference.wolfram.com/mathematica/", 
            "QuantumAlgebra/ref/Hermitian", ".html"]], None}]}]},
      Appearance->None,
      MenuAppearance->Automatic]],
     LineSpacing->{1.4, 0}]], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell["Hermitian", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Hermitian", "[", 
       StyleBox["expr", "TI"], "]"}]], "InlineFormula"],
     "\[LineSeparator]performs the hermitian operation on expr. An expression \
with a dagger as a superscript is interpreted as the hermitian operation on \
expression."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->459401240],

Cell["\<\
The operation can be applied to Bras, Kets, Operators, Constants and composed \
expressions, f.i.  Kets multiplied by Operators from their left-hand side.\
\>", "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->666218226],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->154629590],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Loads", " ", "the", " ", "application"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Needs", "[", "\"\<QuantumAlgebra`\>\"", "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->490911341],

Cell[CellGroupData[{

Cell[BoxData["\<\"Application Quantum Algebra by Juergen Habelt\"\>"], "Print",
 CellID->319926893],

Cell[BoxData["\<\"This package is based on the work of Cesar Guerra \
G.,\"\>"], "Print",
 CellID->519377675],

Cell[BoxData["\<\"who developed the original package for Mathematica \
4.1/4.2\"\>"], "Print",
 CellID->2367862],

Cell[BoxData["\<\"For proper styling You should invoke SetNotebookStyles \
once.\"\>"], "Print",
 CellID->25249317]
}, Open  ]],

Cell[BoxData["\<\"ALIASES:\\nESC op ESC - Operator without index\\nESC hop \
ESC - Hermitian Operator without index\\nESC ket ESC - Ket without \
index\\nESC ketd ESC - Ket with subscript(s)\\nESC ketu ESC - Ket with \
superscript(s)\\nESC ketdu ESC - Ket with subscript(s) & superscript(s)\\nESC \
bra ESC - Ket without index\\nESC dbra ESC - Bra with subscript(s)\\nESC ubra \
ESC - Bra with superscript(s)\\nESC dubra ESC - Bra with subscript(s) & \
superscript(s)\\nESC (du)braket(du) ESC - Bra with (left and / or right) \
subscript(s) and / or superscript(s).\"\>"], "Output",
 ImageSize->{390, 220},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->97755743]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "FullForm", " ", "input", " ", "of", " ", "the", " ", "operation"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Hermitian", "[", 
   RowBox[{
    TagBox[
     RowBox[{"\[LeftAngleBracket]", 
      AdjustmentBox[
       TagBox["m",
        QuantumAlgebra`QuantumNotation`BraArgs,
        BaseStyle->"BraKetArg"],
       BoxBaselineShift->0], 
      AdjustmentBox["\[VerticalSeparator]",
       BoxMargins->{{0, -0.2}, {0, 0}}]}],
     Bra,
     BaseStyle->"BraWrapper"], "\[CenterDot]", 
    OverscriptBox["H", "^"], "\[CenterDot]", 
    TagBox[
     RowBox[{
      AdjustmentBox["\[VerticalSeparator]",
       BoxMargins->{{-0.4, 0}, {0, 0}}], 
      AdjustmentBox[
       TagBox["n",
        QuantumAlgebra`QuantumNotation`KetArgs,
        BaseStyle->"BraKetArg"],
       BoxBaselineShift->0], "\[RightAngleBracket]"}],
     Ket,
     BaseStyle->"KetWrapper"]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->722895921],

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{"\[LeftAngleBracket]", 
    AdjustmentBox[
     TagBox["n",
      QuantumAlgebra`QuantumNotation`BraArgs,
      BaseStyle->"BraKetArg"],
     BoxBaselineShift->0], 
    AdjustmentBox["\[VerticalSeparator]",
     BoxMargins->{{0, -0.2}, {0, 0}}]}],
   Bra,
   BaseStyle->"BraWrapper"], "\[CenterDot]", 
  SuperscriptBox[
   OverscriptBox["H", "^"], "\[Dagger]"], "\[CenterDot]", 
  TagBox[
   RowBox[{
    AdjustmentBox["\[VerticalSeparator]",
     BoxMargins->{{-0.4, 0}, {0, 0}}], 
    AdjustmentBox[
     TagBox["m",
      QuantumAlgebra`QuantumNotation`KetArgs,
      BaseStyle->"BraKetArg"],
     BoxBaselineShift->0], "\[RightAngleBracket]"}],
   Ket,
   BaseStyle->"KetWrapper"]}]], "Output",
 ImageSize->{86, 17},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->640381626]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Input", " ", "with", " ", "SuperDagger"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     TagBox[
      RowBox[{"\[LeftAngleBracket]", 
       AdjustmentBox[
        TagBox["m",
         QuantumAlgebra`QuantumNotation`BraArgs,
         BaseStyle->"BraKetArg"],
        BoxBaselineShift->0], 
       AdjustmentBox["\[VerticalSeparator]",
        BoxMargins->{{0, -0.2}, {0, 0}}]}],
      Bra,
      BaseStyle->"BraWrapper"], "\[CenterDot]", 
     OverscriptBox["H", "^"], "\[CenterDot]", 
     TagBox[
      RowBox[{
       AdjustmentBox["\[VerticalSeparator]",
        BoxMargins->{{-0.4, 0}, {0, 0}}], 
       AdjustmentBox[
        TagBox["n",
         QuantumAlgebra`QuantumNotation`KetArgs,
         BaseStyle->"BraKetArg"],
        BoxBaselineShift->0], "\[RightAngleBracket]"}],
      Ket,
      BaseStyle->"KetWrapper"]}], ")"}], "\[Dagger]"]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->542813078],

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{"\[LeftAngleBracket]", 
    AdjustmentBox[
     TagBox["n",
      QuantumAlgebra`QuantumNotation`BraArgs,
      BaseStyle->"BraKetArg"],
     BoxBaselineShift->0], 
    AdjustmentBox["\[VerticalSeparator]",
     BoxMargins->{{0, -0.2}, {0, 0}}]}],
   Bra,
   BaseStyle->"BraWrapper"], "\[CenterDot]", 
  SuperscriptBox[
   OverscriptBox["H", "^"], "\[Dagger]"], "\[CenterDot]", 
  TagBox[
   RowBox[{
    AdjustmentBox["\[VerticalSeparator]",
     BoxMargins->{{-0.4, 0}, {0, 0}}], 
    AdjustmentBox[
     TagBox["m",
      QuantumAlgebra`QuantumNotation`KetArgs,
      BaseStyle->"BraKetArg"],
     BoxBaselineShift->0], "\[RightAngleBracket]"}],
   Ket,
   BaseStyle->"KetWrapper"]}]], "Output",
 ImageSize->{86, 17},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->529279255]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Hermitian", " ", "applied", " ", "to", " ", "a", " ", "Bra"}], " ",
   "*)"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->304704376],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hermitian", "[", 
  TagBox[
   RowBox[{
    SubscriptBox["\[InvisiblePrefixScriptBase]", 
     TagBox[
      AdjustmentBox[
       TagBox["j",
        QuantumAlgebra`QuantumNotation`BraArgs,
        BaseStyle->"BraKetArg"],
       BoxBaselineShift->0],
      QuantumAlgebra`QuantumNotation`UDScript,
      BaseStyle->"LIndex"]], 
    RowBox[{"\[LeftAngleBracket]", 
     AdjustmentBox[
      TagBox["n",
       QuantumAlgebra`QuantumNotation`BraArgs,
       BaseStyle->"BraKetArg"],
      BoxBaselineShift->0], 
     AdjustmentBox["\[VerticalSeparator]",
      BoxMargins->{{0, -0.2}, {0, 0}}]}]}],
   QuantumAlgebra`Bra,
   BaseStyle->"BraWrapper"], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->10299346],

Cell[BoxData[
 TagBox[
  SubscriptBox[
   RowBox[{
    AdjustmentBox["\[VerticalSeparator]",
     BoxMargins->{{-0.4, 0}, {0, 0}}], 
    AdjustmentBox[
     TagBox["n",
      QuantumAlgebra`QuantumNotation`KetArgs,
      BaseStyle->"BraKetArg"],
     BoxBaselineShift->0], "\[RightAngleBracket]"}], 
   TagBox[
    AdjustmentBox[
     TagBox["j",
      QuantumAlgebra`QuantumNotation`KetArgs,
      BaseStyle->"BraKetArg"],
     BoxBaselineShift->0],
    QuantumAlgebra`QuantumNotation`UDScript,
    BaseStyle->"RIndex"]],
  QuantumAlgebra`Ket,
  BaseStyle->"KetWrapper"]], "Output",
 ImageSize->{39, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->321836173]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Hermitian", " ", "applied", " ", "to", " ", "a", " ", "Complex", " ", 
   "Constant"}], " ", "*)"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->254814460],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hermitian", "[", 
  RowBox[{"\[ImaginaryI]", " ", "k"}], "]"}]], "Input",
 CellLabel->"In[7]:=",
 CellID->70602967],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "\[ImaginaryI]"}], " ", 
  SuperscriptBox["k", "*"]}]], "Output",
 ImageSize->{35, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[7]=",
 CellID->227421730]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Hermitian - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2016, 5, 31, 18, 14, 54.3923230}", "context" -> 
    "QuantumAlgebra`", "keywords" -> {"Hermitian"}, "index" -> True, "label" -> 
    "QuantumAlgebra Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuantumAlgebra Package", "status" -> "None", "summary" -> 
    "Hermitian[expr] performs the hermitian operation on expr. An expression \
with a dagger as a superscript is interpreted as the hermitian operation on \
expression.", "synonyms" -> {}, "title" -> "Hermitian", "type" -> "Symbol", 
    "uri" -> "QuantumAlgebra/ref/Hermitian"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 7, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell["Bra Ket Styles", "Section"], 
   Cell[" The cells below define certain styles needed for defining \
Bras&Kets.These styles serve to give the correct structural properties to \
Bras & Kets ", "Text"], 
   Cell[
    StyleData["BraKetArg"], SpanMinSize -> Automatic, StyleMenuListing -> 
    None, AdjustmentBoxOptions -> {BoxMargins -> {{0, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> True, Selectable -> True}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"}], 
   Cell[
    StyleData["BraWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.2, -0.13}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["KetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.1, 0.2}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["BraKetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, 
    SpanMinSize -> 2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.25, 0.25}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["RIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.16, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}], 
   Cell[
    StyleData["LIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0, -0.1}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}]}, Visible -> False, FrontEndVersion -> 
  "10.2 for Microsoft Windows (64-bit) (July 7, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[4202, 126, 461, 13, 30, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->666218226]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 15695, 496}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[603, 21, 76, 1, 3, "SymbolColorBar"],
Cell[682, 24, 194, 5, 19, "LinkTrail"],
Cell[879, 31, 1898, 42, 48, "AnchorBarGrid",
 CellID->1],
Cell[2780, 75, 52, 1, 43, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[2857, 80, 488, 13, 95, "Usage"],
Cell[CellGroupData[{
Cell[3370, 97, 580, 17, 42, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->459401240],
Cell[3953, 116, 200, 4, 70, "Notes",
 CellID->1067943069]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4202, 126, 461, 13, 30, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->666218226],
Cell[CellGroupData[{
Cell[4688, 143, 148, 5, 25, "ExampleSection",
 CellID->154629590],
Cell[CellGroupData[{
Cell[4861, 152, 252, 7, 47, "Input",
 CellID->490911341],
Cell[CellGroupData[{
Cell[5138, 163, 99, 1, 23, "Print",
 CellID->319926893],
Cell[5240, 166, 109, 2, 23, "Print",
 CellID->519377675],
Cell[5352, 170, 112, 2, 23, "Print",
 CellID->2367862],
Cell[5467, 174, 115, 2, 23, "Print",
 CellID->25249317]
}, Open  ]],
Cell[5597, 179, 713, 12, 241, "Output",
 CellID->97755743]
}, Open  ]],
Cell[CellGroupData[{
Cell[6347, 196, 995, 32, 49, "Input",
 CellID->722895921],
Cell[7345, 230, 873, 30, 38, "Output",
 CellID->640381626]
}, Open  ]],
Cell[CellGroupData[{
Cell[8255, 265, 1009, 32, 70, "Input",
 CellID->542813078],
Cell[9267, 299, 873, 30, 38, "Output",
 CellID->529279255]
}, Open  ]],
Cell[10155, 332, 177, 5, 70, "Input",
 CellID->304704376],
Cell[CellGroupData[{
Cell[10357, 341, 733, 24, 70, "Input",
 CellID->10299346],
Cell[11093, 367, 713, 25, 39, "Output",
 CellID->321836173]
}, Open  ]],
Cell[11821, 395, 202, 6, 70, "Input",
 CellID->254814460],
Cell[CellGroupData[{
Cell[12048, 405, 139, 4, 70, "Input",
 CellID->70602967],
Cell[12190, 411, 234, 8, 36, "Output",
 CellID->227421730]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[12463, 424, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
