(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     10540,        306]
NotebookOptionsPosition[      5947,        189]
NotebookOutlinePosition[      9407,        271]
CellTagsIndexPosition[      9364,        268]
WindowTitle->QuantumAlgebra Overview - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebra"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUANTUM ALGEBRA PACKAGE OVERVIEW", "PacletNameCell"], Cell[TextData[
    Cell[BoxData[
     ActionMenuBox[
      FrameBox["\<\"URL \[RightGuillemet]\"\>",
       StripOnInput->
        False], {"\<\"QuantumAlgebra/tutorial/QuantumAlgebraOverview\"\>":>
      None, "\<\"Copy Mathematica url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell["QuantumAlgebra/tutorial/QuantumAlgebraOverview"]}, Visible -> 
           False]]; SelectionMove[
        DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; Null], 
      Delimiter, "\<\"Copy web url\"\>":>
      Module[{DocumentationSearch`Private`nb$}, 
       DocumentationSearch`Private`nb$ = NotebookPut[
          Notebook[{
            Cell[
             BoxData[
              MakeBoxes[
               Hyperlink[
               "http://reference.wolfram.com/mathematica/QuantumAlgebra/\
tutorial/QuantumAlgebraOverview.html"], StandardForm]], "Input", 
             TextClipboardType -> "PlainText"]}, Visible -> False]]; 
       SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
       FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
       NotebookClose[DocumentationSearch`Private`nb$]; 
       Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
        NotebookLocate[{
          URL[
           StringJoin[
           "http://reference.wolfram.com/mathematica/", 
            "QuantumAlgebra/tutorial/QuantumAlgebraOverview", ".html"]], 
          None}]}]},
      Appearance->None,
      MenuAppearance->Automatic]],
     LineSpacing->{1.4, 0}]], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell["QuantumAlgebra Overview", "TOCDocumentTitle"],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["QuantumAlgebra Basics",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuantumAlgebra/tutorial/QuantumAlgebraBasics#509267359"]], \
"TOCChapter"],

Cell[TextData[StyleBox[ButtonBox["Preparation of a Session",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuantumAlgebra/tutorial/QuantumAlgebraBasics#65243614"], \
"TOCSection"]], "TOCSection",
 CellID->13021204],

Cell[TextData[ButtonBox["Provide Required Input",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuantumAlgebra/tutorial/QuantumAlgebraBasics#934999218"]], \
"TOCSection"],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["A Few Simple Calculations",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuantumAlgebra/tutorial/QuantumAlgebraBasics#587363850"]], \
"TOCSection"],

Cell[TextData[ButtonBox["Orthonormalized BraKet Sample",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuantumAlgebra/tutorial/QuantumAlgebraBasics#33620847"]], \
"TOCSubsection"],

Cell[TextData[ButtonBox["The Harmonic Oscillator Sample",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuantumAlgebra/tutorial/QuantumAlgebraBasics#30976998"]], \
"TOCSubsection",
 CellID->321693044]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["ReferencePages/Symbols",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/ref/Bra"]], "TOCChapter"],

Cell[TextData[ButtonBox["Bra",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/ref/Bra"]], "TOCSection"],

Cell[TextData[ButtonBox["BraKet",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/ref/BraKet"]], "TOCSection"],

Cell[TextData[ButtonBox["BraQ",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/ref/BraQ"]], "TOCSection"],

Cell[TextData[ButtonBox["ConstantQ",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/ref/ConstantQ"]], "TOCSection"],

Cell[TextData[ButtonBox["Hermitian",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/ref/Hermitian"]], "TOCSection"],

Cell[TextData[ButtonBox["Ket",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/ref/Ket"]], "TOCSection"],

Cell[TextData[ButtonBox["KetQ",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/ref/KetQ"]], "TOCSection"],

Cell[TextData[ButtonBox["Operator",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/ref/Operator"]], "TOCSection"],

Cell[TextData[ButtonBox["OperatorQ",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/ref/OperatorQ"]], "TOCSection"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["Guides",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebraGuide"]], "TOCChapter"],

Cell[TextData[ButtonBox["QuantumAlgebra Guide",
 BaseStyle->"Link",
 ButtonData->"paclet:QuantumAlgebra/guide/QuantumAlgebraGuide"]], "TOCSection"],

Cell[TextData[ButtonBox["QuantumAlgebra Modules",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuantumAlgebra/guide/QuantumAlgebraModules"]], "TOCSection",
 CellID->323917010]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"QuantumAlgebra Overview - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2016, 5, 31, 18, 15, 30.1524288}", "context" -> 
    "QuantumAlgebra`", "keywords" -> {}, "index" -> True, "label" -> 
    "Quantum Algebra Package Overview", "language" -> "en", "paclet" -> 
    "QuantumAlgebra Package", "status" -> "None", "summary" -> 
    "QuantumAlgebra Basics ReferencePages/Symbols Guides", "synonyms" -> {}, 
    "title" -> "QuantumAlgebra Overview", "type" -> "Overview", "uri" -> 
    "QuantumAlgebra/tutorial/QuantumAlgebraOverview"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 7, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell["Bra Ket Styles", "Section"], 
   Cell[" The cells below define certain styles needed for defining \
Bras&Kets.These styles serve to give the correct structural properties to \
Bras & Kets ", "Text"], 
   Cell[
    StyleData["BraKetArg"], SpanMinSize -> Automatic, StyleMenuListing -> 
    None, AdjustmentBoxOptions -> {BoxMargins -> {{0, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> True, Selectable -> True}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> "UnmatchedBracket"}], 
   Cell[
    StyleData["BraWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.2, -0.13}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["KetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, SpanMinSize -> 
    2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.1, 0.2}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["BraKetWrapper"], ScriptBaselineShifts -> {0.6, 0.9}, 
    SpanMinSize -> 2, StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0.25, 0.25}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}, 
    AutoStyleOptions -> {"UnmatchedBracketStyle" -> None}], 
   Cell[
    StyleData["RIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{-0.16, 0}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}], 
   Cell[
    StyleData["LIndex"], StyleMenuListing -> None, 
    AdjustmentBoxOptions -> {BoxMargins -> {{0, -0.1}, {0, 0}}}, 
    TagBoxOptions -> {Editable -> False}]}, Visible -> False, FrontEndVersion -> 
  "10.2 for Microsoft Windows (64-bit) (July 7, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[617, 21, 76, 1, 3, "SymbolColorBar"],
Cell[696, 24, 194, 5, 19, "LinkTrail"],
Cell[893, 31, 2001, 45, 48, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[2919, 80, 51, 0, 56, "TOCDocumentTitle"],
Cell[CellGroupData[{
Cell[2995, 84, 167, 4, 45, "TOCChapter"],
Cell[3165, 90, 212, 5, 26, "TOCSection",
 CellID->13021204],
Cell[3380, 97, 168, 4, 20, "TOCSection"],
Cell[CellGroupData[{
Cell[3573, 105, 171, 4, 20, "TOCSection"],
Cell[3747, 111, 177, 4, 17, "TOCSubsection"],
Cell[3927, 117, 198, 5, 17, "TOCSubsection",
 CellID->321693044]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4174, 128, 131, 2, 45, "TOCChapter"],
Cell[4308, 132, 112, 2, 26, "TOCSection"],
Cell[4423, 136, 118, 2, 20, "TOCSection"],
Cell[4544, 140, 114, 2, 20, "TOCSection"],
Cell[4661, 144, 124, 2, 20, "TOCSection"],
Cell[4788, 148, 124, 2, 20, "TOCSection"],
Cell[4915, 152, 112, 2, 20, "TOCSection"],
Cell[5030, 156, 114, 2, 20, "TOCSection"],
Cell[5147, 160, 122, 2, 20, "TOCSection"],
Cell[5272, 164, 124, 2, 20, "TOCSection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5433, 171, 133, 2, 45, "TOCChapter"],
Cell[5569, 175, 147, 2, 26, "TOCSection"],
Cell[5719, 179, 174, 4, 20, "TOCSection",
 CellID->323917010]
}, Open  ]]
}, Open  ]],
Cell[5920, 187, 23, 0, 41, "FooterCell"]
}
]
*)

(* End of internal cache information *)
